package sbc.mgclus.data;

public class ClusterPair implements Comparable<Object>{
	private Cluster cluster1;
	private Cluster cluster2;
	private double mergeGain;
	
	public ClusterPair (Cluster c1, Cluster c2, double mg){
		setCluster1(c1);
		setCluster2(c2);
		mergeGain = mg;
	}
	
	public void setMergeGain(double mergeGain) {
		this.mergeGain = mergeGain;
	}
	
	public double getMergeGain() {
		return mergeGain;
	}
	
	public int compareTo(Object cPair){
	    if (this.mergeGain < ((ClusterPair)cPair).getMergeGain())
	    	return 1;
	    else if (this.mergeGain > ((ClusterPair) cPair).getMergeGain())
	    	return -1;
	    else
	    	return 0;
	}

	public void setCluster2(Cluster cluster2) {
		this.cluster2 = cluster2;
	}

	public Cluster getCluster2() {
		return cluster2;
	}

	public void setCluster1(Cluster cluster1) {
		this.cluster1 = cluster1;
	}

	public Cluster getCluster1() {
		return cluster1;
	}
	
	
}
